Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041154
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2019-06-24 12:302019-07-12 08:14
ReporterngarciaView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR19Q4
StatusclosedFix in branchFixed in SCM revision0cea844b849b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041154: "Tax" field in the order's JSON is wrong when including a compound tax rate in a layaway, it is loaded and paid

Description"Tax" field in the order's JSON is wrong when including a compound tax rate in a layaway, it is loaded and paid

If you create the same order and pay it, the tax field includes the identifier of the parent tax (this is correct).
Steps To ReproduceIn the backoffice:
   Create the following three tax rates:
   1) Common parameters:
      Tax Category: IVA Normal
      Valid From: today
      Country: Spain
      Destination Country: Spain
      Sales/Purchase Type: Sales
   2) Specific parameters:
   2.1) PARENT
      Summary Level: Y
      Default: Y
   2) CHILD1
      Rate: 53
      Parent Tzx Rate: PARENT
   3) CHILD2
      Rate: 16
      Base Amount: Line Net Amount + Tax Amount
      Line: 20
      Parent Tax Rate: PARENT
      Tax Base: CHILD1 (you should save the record before to get the tax in the combo)

In the POS:
   Select Layaway this Receipt option
   Add a product
   Check the previously created taxes have been selected
   Layaway

   Open Receipt
   Select previously created layaway
   Pay it

In the backoffice:
   Check the Sales Order created has the correct tax rate in its lines (PARENT)
   Check the JSON of the layaway Data Import Entry window:
      The taxlines and taxes sections are correct
      The tax field includes the identifier the parent tax
   Check the JSON of the order in Data Import Entry window:
      The taxlines and taxes sections are correct
      The tax field includes the identifier of a child tax instead of the identifier of the parent tax
TagsNo tags attached.
Attached Filesdiff file icon 41154_19Q2.diff [^] (1,242 bytes) 2019-07-04 18:34 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038967 closedrqueralta Sum of linenet plus tax can be different than gross 
related to defect 0034856 closedranjith_qualiantech_com Issues in Payment Method discount calculation 

-  Notes
(0113254)
hgbot (developer)
2019-07-10 14:46

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0cea844b849b68dfb81927e57b294cb20ebb565c
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Jul 08 17:23:49 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0cea844b849b68dfb81927e57b294cb20ebb565c [^]

Fixed issue 41154: "Tax" field in the order's JSON is wrong when including a
compound tax rate in a layaway, it is loaded and paid

- Added taxId property into the hql query

---
M src/org/openbravo/retail/posterminal/PaidReceiptLinesProperties.java
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0113268)
adrianromero (manager)
2019-07-11 11:05

Verified
(0113320)
guilleaer (developer)
2019-07-12 08:14

reclosed

- Issue History
Date Modified Username Field Change
2019-06-24 12:30 ngarcia New Issue
2019-06-24 12:30 ngarcia Assigned To => Retail
2019-06-24 12:30 ngarcia Triggers an Emergency Pack => No
2019-06-24 12:30 ngarcia Issue Monitored: networkb
2019-06-24 12:41 ngarcia Relationship added related to 0038967
2019-06-27 19:53 matias-bernal Issue Monitored: matias-bernal
2019-07-04 13:58 ngarcia Relationship added related to 0034856
2019-07-04 18:34 marvintm File Added: 41154_19Q2.diff
2019-07-08 15:32 rqueralta Assigned To Retail => rqueralta
2019-07-08 15:32 rqueralta Status new => scheduled
2019-07-10 14:46 hgbot Checkin
2019-07-10 14:46 hgbot Note Added: 0113254
2019-07-10 14:46 hgbot Status scheduled => resolved
2019-07-10 14:46 hgbot Resolution open => fixed
2019-07-10 14:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0cea844b849b68dfb81927e57b294cb20ebb565c [^]
2019-07-11 11:05 adrianromero Review Assigned To => adrianromero
2019-07-11 11:05 adrianromero Note Added: 0113268
2019-07-11 11:05 adrianromero Status resolved => closed
2019-07-11 11:05 adrianromero Fixed in Version => RR19Q4
2019-07-11 15:32 hgbot Checkin
2019-07-11 15:32 hgbot Note Added: 0113290
2019-07-11 15:32 hgbot Status closed => resolved
2019-07-11 15:32 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0cea844b849b68dfb81927e57b294cb20ebb565c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-discounts/rev/0cea844b849b68dfb81927e57b294cb20ebb565c [^]
2019-07-12 08:14 guilleaer Note Deleted: 0113290
2019-07-12 08:14 guilleaer Note Added: 0113320
2019-07-12 08:14 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker